Subject: Re: Verilog/ASIC development support is insufficient in git , help!

From: Justin Leung <[email-masked]>
Date: Mon, 12 May 2008 11:51:50 -0700

Hi Christian,

 I personally have no problem dealing without revision numbers .
I merely used them directly .

However, I think I gotta admit that this is a world more than just us .

There's an obvious reason why Windows and MS are still standing, and IE 
is still the market holder :

we are the minority ..  a lot of people just care to get the work done .

surely i felt defeated, but one lesson to know is that the interface is 
very important for beginners ;

and a simplified numbering scheme is really what the managers/VPs are 
looking for to avoid rookie mistakes .

Thanks for the support tho =)
I know i m not alone

 Justin

Christian MICHON wrote:
> I'm an ASIC designer too.
> this is unimportant: if they want to track a specific release of a
> file, it's better to look at what was the file's content from this cut
> to that cut.
> just use gitk and git-gui: almost all can be done with these two
> graphical tools.
>
> for linear development, yes. but when we were requested to perform
> maintenance on a specific old cut, this was becoming a nightmare.
> gitk, git-gui: two commands (actually gitk can be called from git-gui)
> this is the wrong approach.
> use branches to reference the different ressources (rtl, simulation, layout).
> then track these branches between them for deliveries and work/flow.
>
> use tags to mark specific releases/cuts.
> you can create an alias: git-show-branch | tail -r
>   
>
> yes, I used to be scared by sha1 too: I even created numbered tags for
> each commit. Until I read more about git, and stopped expecting using
> git as svn/cvs.
>   
> no, it would kill the right approach: embrace the index, and never look back.
>   
>
> you have to adapt your methods instead: trust another ASIC designer :-)
>